
%define major 0
%define libname %mklibname %{name} %{major}
%define develname %mklibname -d %{name}

Name:		faac
Version:	1.30
Release:	%mkrel 1
Summary:	Freeware Advanced Audio Encoder
Group:		Sound
License:	LGPLv2+
URL:		http://www.audiocoding.com
Source0:	https://github.com/knik0/faac/archive/1_30/%{name}-1_30.tar.xz
BuildRequires:	pkgconfig(sndfile)
BuildRequires:	autoconf
BuildRequires:	dos2unix
BuildRequires:	lib64mp4v2-devel

%description
FAAC is an AAC encoder based on the ISO MPEG-4 reference code.

This package is in restricted, as the MPEG-4 format is covered
by software patents.

%package -n %{libname}
Summary:	Free Advanced Audio Encoder shared library
Group:		System/Libraries

%description -n %{libname}
FAAC is an AAC encoder based on the ISO MPEG-4 reference code.

This package contains the shared library needed by programs based on
libfaac.

%package -n %{develname}
Summary:	Free Advanced Audio Encoder development files
Group:		Development/Libraries
Requires:	%{libname} = %{version}-%{release}
Provides:	lib%{name}-devel = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Obsoletes:	%mklibname -d %{name} 0

%description -n %{develname}
FAAC is an AAC encoder based on the ISO MPEG-4 reference code.

This package contains the needed files for compiling programs with
libfaac.

%prep
%setup -q -n %{name}-1_30
%apply_patches

%build
./bootstrap
%configure2_5x -disable-static
%make

%install
%makeinstall_std
# manual header installation
%__mkdir_p %{buildroot}%{_includedir}
%__cp include/*h %{buildroot}%{_includedir}

rm -rf %buildroot/%{_libdir}/*.la

%files
%doc README TODO ChangeLog
%{_bindir}/faac
%{_mandir}/man1/faac.1*

%files -n %{libname}
%{_libdir}/libfaac*so.%{major}*

%files -n %develname
%{_libdir}/*.so
%{_includedir}/*

%changelog
* Fri Nov 15 2019 tex - 1.30-1pclos2019
- update

